> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all Fusion app contexts from list of passed for each of resources passed

> Don't pass contexts if you want to evaluate against all existing Fusion apps



## OpenAPI

````yaml /api-reference/4.2/service-links.json get /links/contexts
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service links
servers:
  - url: /api/apollo/
security: []
tags:
  - name: links
paths:
  /links/contexts:
    get:
      tags:
        - 4.2 Links API
      summary: >-
        Get all Fusion app contexts from list of passed for each of resources
        passed
      description: >-
        Don't pass contexts if you want to evaluate against all existing Fusion
        apps
      operationId: findContexts
      parameters:
        - name: contexts
          in: query
          description: List of Fusion apps to check against
          required: false
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: resources
          in: query
          description: List of Fusion apps to check against
          required: false
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: bypassCache
          in: query
          description: Bypass the cache and retrieve directly from storage
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: array
                  uniqueItems: true
                  items:
                    $ref: '#/components/schemas/FusionResource'
components:
  schemas:
    FusionResource:
      type: object
      properties:
        type:
          type: string
          enum:
            - APPKIT_APP
            - WEBAPP_ADMIN_APP
            - APP
            - COLLECTION
            - INDEX_PIPELINE
            - INDEX_STAGE
            - QUERY_STAGE
            - QUERY_PIPELINE
            - INDEX_PROFILE
            - QUERY_PROFILE
            - BLOB
            - PARSER
            - DATASOURCE
            - TASK
            - SCHEDULE
            - SEARCH_CLUSTER
            - EXPERIMENT
            - SPARK_JOB
            - GROUP
            - CUSTOM_RULE_TYPE
            - TYPE
            - RESOURCE
            - 'NULL'
        id:
          type: string
        canonicalName:
          type: string
        uri:
          type: string
          format: uri

````